apiVersion: hypershift.openshift.io/v1beta1
kind: AWSEndpointService
metadata:
  creationTimestamp: "2023-03-01T10:20:45Z"
  finalizers:
  - hypershift.openshift.io/control-plane-operator-finalizer
  - hypershift.openshift.io/hypershift-operator-finalizer
  generation: 3
  name: private-router
  namespace: ocm-staging-226ddjvbfase44p7ovqfgoaj1cmrae11-ad1
  resourceVersion: "100604542"
  uid: 28c5b452-6d72-44a1-966f-6e873c8aee3e
spec:
  networkLoadBalancerName: a742074084b8a4271b74a867d7e12d79
  resourceTags:
  - key: api.openshift.com/environment
    value: staging
  - key: api.openshift.com/id
    value: 226ddjvbfase44p7ovqfgoaj1cmrae11
  - key: api.openshift.com/legal-entity-id
    value: 1MKVU4otCIuogoLtgtyU6wajxjW
  - key: api.openshift.com/name
    value: ad1
  - key: red-hat-clustertype
    value: rosa
  - key: red-hat-managed
    value: "true"
  - key: kubernetes.io/cluster/226ddjvbfase44p7ovqfgoaj1cmrae11
    value: owned
  subnetIDs:
  - subnet-0e3a4046c1c2f1078
  - subnet-0e3a4046c1c2f1078
status:
  conditions:
  - lastTransitionTime: "2023-03-01T10:23:07Z"
    message: ""
    reason: AWSSuccess
    status: "True"
    type: EndpointServiceAvailable
  - lastTransitionTime: "2023-03-01T10:23:08Z"
    message: 'failed to create vpc endpoint: VpcEndpointLimitExceeded'
    reason: AWSError
    status: "False"
    type: EndpointAvailable
  endpointServiceName: com.amazonaws.vpce.us-west-2.vpce-svc-0684eb231c5ba3c53
